Hello and welcome to our community! Is this your first visit?
Register
Enjoy an ad free experience by logging in. Not a member yet? Register.
Results 1 to 8 of 8
  1. #1
    Senior Coder Mhtml's Avatar
    Join Date
    Jun 2002
    Location
    Sydney, Australia
    Posts
    3,531
    Thanks
    0
    Thanked 1 Time in 1 Post

    Installing extensions

    I'm trying to install the html tidy extension from pecl.php.net but, I've never done this before and I'm completely lost ...

    Using phpdev 4.2.3
    Omnis mico antequam dominus Spookster!

  • #2
    Senior Coder
    Join Date
    Jun 2002
    Location
    frankfurt, german banana republic
    Posts
    1,848
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Which PHP version is included in phpdev 4.2.3? I believe it needs to be 4.3 or 5, see http://pecl.php.net/package/tidy

    Anyway, an installation tutorial for Windows is availabe at John Coggeshalls site:
    http://www.phphaven.com/archives/70_...available.html
    De gustibus non est disputandum.

  • #3
    Senior Coder Mhtml's Avatar
    Join Date
    Jun 2002
    Location
    Sydney, Australia
    Posts
    3,531
    Thanks
    0
    Thanked 1 Time in 1 Post
    Oh goody a tutorial ... Thanks mordred!
    Omnis mico antequam dominus Spookster!

  • #4
    Senior Coder Mhtml's Avatar
    Join Date
    Jun 2002
    Location
    Sydney, Australia
    Posts
    3,531
    Thanks
    0
    Thanked 1 Time in 1 Post
    Ok, I had done it right the first time ... Everything in that tutorial is as I guessed it had to be however I need to upgrade php as my version is the same as my phpdev version (4.2.3) to a newer version ...... how?
    Omnis mico antequam dominus Spookster!

  • #5
    Senior Coder
    Join Date
    Jun 2002
    Location
    frankfurt, german banana republic
    Posts
    1,848
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Ask your fellow moderator firepages to release a new version.
    Or for a tutorial on how to upgrade only PHP.

    Alternatively, you can try to install a recent PHP version yourself. At php.net there are extensive installation docs, you need to have Apache installed though, but Apache ships with phpdev, no? If so you could try it out to upgrade it.
    De gustibus non est disputandum.

  • #6
    Senior Coder Mhtml's Avatar
    Join Date
    Jun 2002
    Location
    Sydney, Australia
    Posts
    3,531
    Thanks
    0
    Thanked 1 Time in 1 Post
    Okely dokely ... I'm off to php.net.
    Omnis mico antequam dominus Spookster!

  • #7
    Super Moderator
    Join Date
    May 2002
    Location
    Perth Australia
    Posts
    4,096
    Thanks
    11
    Thanked 101 Times in 99 Posts
    doh phpdev434 is on the way ...this time with PEAR and all the PECL & GTK extensions ... but there is never enough time in the day innit!

    as Mordred suggests , grab php 4.3.4 zip (not the installer) from php.net , then perhaps the easiest way is simply to,
    extract somewhere safe
    copy the new php directory over the top if (and overwriting) the /phpdev/php directory.
    then copy the new /php/php4ts.dll to /php/sapi/php4ts.dll
    restart apache

    & volia !
    resistance is...

    MVC is the current buzz in web application architectures. It comes from event-driven desktop application design and doesn't fit into web application design very well. But luckily nobody really knows what MVC means, so we can call our presentation layer separation mechanism MVC and move on. (Rasmus Lerdorf)

  • #8
    Senior Coder Mhtml's Avatar
    Join Date
    Jun 2002
    Location
    Sydney, Australia
    Posts
    3,531
    Thanks
    0
    Thanked 1 Time in 1 Post
    Yeah I think I PM'd you about upgrading, I figured it out a few minutes after that though ... Installed the tidy extension and got php running great ...

    I do however have a new problem with not being able to access my server remotely.. The httpd.conf file has not been edited (to my knowledge) so as such I've not a clue why I can no longer access it via IP.

    Also my firewall is turned off (well was ) when I was trying so it wasn't that.

    [edit:] Did you watch the test match yesterday?
    Omnis mico antequam dominus Spookster!


  •  

    Posting Permissions

    • You may not post new threads
    • You may not post replies
    • You may not post attachments
    • You may not edit your posts
    •